/**
*WebDAV App
* Defined an App to manage unas webdav service
*/
var WebDAVApp = WebDAVApp || {};  //Define WebDAV App namespace.
/**
*Constructor UNAS App
*/
WebDAVApp.App = function () {
    this.id = 'WebDAV Service';
    this.name = 'WebDAV Service';
    this.version = '6.0.22';
    this.active = false;
    this.menuIcon = '/apps/webdav/images/logo.png?v=6.0.22&';
    this.shortcutIcon = '/apps/webdav/images/logo.png?v=6.0.22&';
    this.entryUrl = '/apps/webdav/webdav.html?v=6.0.22&';
    var self = this;
    this.WebDAVAppWindow = function () {
        if(UNAS.CheckAppState('WebDAV Service')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'WebDAVAppWindow',
            title: UNAS._('WebDAV Service'),
            icon: '/apps/webdav/images/logo_small.png?v=6.0.22&',
            loadMethod: 'xhr',
            width: 800,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/webdav/webdav.html?v=6.0.22&',
            require: {  css: ['/apps/webdav/css/webdav.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("WebDAV Service",'WebDAVAppWindow')}
         });
    };
    this.WebDAVUninstall = function (){
        UNAS.RemoveDesktopShortcut('WebDAV Service');
        UNAS.RemoveMenu('WebDAV Service');
        UNAS.RemoveAppFromGroups('WebDAV Service', 'ControlPanel');
        UNAS.RemoveAppFromGroups('WebDAV Service', 'Help');
        UNAS.RemoveAppFromApps('WebDAV Service');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'WebDAV Service', '', this.WebDAVAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'WebDAV Service', this.WebDAVAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : "Network", "Location" : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {"Type" : "Network", "Location" : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('WebDAV Service', UNAS._('WebDAV Service')); //translate menu
        UNAS.SetShortcutTitle('WebDAV Service', UNAS._('WebDAV Service'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('WebDAVAppWindow', UNAS._('WebDAV Service'));
        }
    };
    UNAS.LoadTranslation('/apps/webdav/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.WebDAVAppWindow, this.WebDAVUninstall);
};

new WebDAVApp.App();
